php-fpm安装的问题,尝试了很久,不得已请教

西安电子科技大学 2013-01-02 11:39:53
准备搭建nginx+php-fpm的环境
在php.net上下载了PHP 5.4.10 的源代码 configure正常 make正常但是make install 直接中断在install pdo header 用make test提示microtime()有问题 截图如下
环境:CentOs 5.8—64_X86 运行在虚拟机virtualbox中


另外尝试了5.3.2以前的版本,需要手动添加php-fpm的补丁,但是在make的时候出现错误如下:
/root/php-5.2.4/sapi/cgi/cgi_main.c: In function 'main':
/root/php-5.2.4/sapi/cgi/cgi_main.c:1943: error: 'php_cgi_globals_struct' has no member named 'error_header'
/root/php-5.2.4/sapi/cgi/cgi_main.c:1943: error: 'php_cgi_globals_struct' has no member named 'error_header'
/root/php-5.2.4/sapi/cgi/cgi_main.c:1946: error: 'php_cgi_globals_struct' has no member named 'error_header'
/root/php-5.2.4/sapi/cgi/cgi_main.c:1947: error: 'php_cgi_globals_struct' has no member named 'error_header'
make: *** [sapi/cgi/cgi_main.lo] 错误 1

源代码的安装方式很麻烦,但是想要加入php-fpm的功能必须用源代码在编译之前配置
新手,希望有大神能指点方向!!
...全文
655 点赞 收藏 4
写回复
4 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
引用 1 楼 ci1699 的回复:
为什么要去用旧版本呢。新版本集成php-fpm了 http://www.baidu.com/s?wd=amh
是尝试了了新的版本之后make test和make install问题才换成旧版本尝试的
回复
www_7di_net 2013-01-03
http://lnmp.org/index.html
回复
www_7di_net 2013-01-03
用这个不行吗?
回复
ci1699 2013-01-03
为什么要去用旧版本呢。新版本集成php-fpm了 http://www.baidu.com/s?wd=amh
回复
相关推荐
发帖
Framework
创建于2008-08-27

4245

社区成员

国内外优秀PHP框架讨论学习
申请成为版主
帖子事件
创建了帖子
2013-01-02 11:39
社区公告
暂无公告